aboutsummaryrefslogtreecommitdiff
path: root/install.sh
diff options
context:
space:
mode:
Diffstat (limited to 'install.sh')
-rwxr-xr-xinstall.sh13
1 files changed, 10 insertions, 3 deletions
diff --git a/install.sh b/install.sh
index 775fa6b..d144215 100755
--- a/install.sh
+++ b/install.sh
@@ -3,9 +3,16 @@
set -e
case "$(uname -s)" in
- Linux*) bin_dir="/usr/bin" ;;
- Darwin*) bin_dir="/usr/local/bin" ;;
- *) echo "The install file can only be run on linux and mac" && exit 1 ;;
+ Linux*)
+ bin_dir="/usr/bin"
+ ;;
+ Darwin*)
+ bin_dir="/usr/local/bin"
+ export PKG_CONFIG_PATH="/usr/local/opt/libarchive/lib/pkgconfig/"
+ ;;
+ *)
+ echo "The install file can only be run on linux and mac" && exit 1
+ ;;
esac
project_dir=`dirname $0`